{
    num: 379,
    accuracy: true,
    basePower: 0,
    category: "Status",
    name: "Power Trick",
    pp: 10,
    priority: 0,
    flags: {snatch: 1, metronome: 1},
    volatileStatus: 'powertrick',
    condition: {
        onStart(pokemon) {
            this.add('-start', pokemon, 'Power Trick');
            const newspa = pokemon.storedStats.spd;
            const newspd = pokemon.storedStats.spa;
            pokemon.storedStats.spa = newspa;
            pokemon.storedStats.spd = newspd;
        },
        onCopy(pokemon) {
            const newspa = pokemon.storedStats.spd;
            const newspd = pokemon.storedStats.spa;
            pokemon.storedStats.spa = newspa;
            pokemon.storedStats.spd = newspd;
        },
        onEnd(pokemon) {
            this.add('-end', pokemon, 'Power Trick');
            const newspa = pokemon.storedStats.spd;
            const newspd = pokemon.storedStats.spa;
            pokemon.storedStats.spa = newspa;
            pokemon.storedStats.spd = newspd;
        },
        onRestart(pokemon) {
            pokemon.removeVolatile('Power Trick');
        },
    },
    secondary: null,
    target: "self",
    type: "Psychic",
    zMove: {boost: {atk: 1}},
    contestType: "Clever",
}
